using adas_core.Domain.Models;
using adas_core.Domain.Models.GroupedObservations;
using adas_core.Domain.Models.MongoModels;

namespace adas_core.Application.Services.Interfaces;

public interface IObservationDemoService
{
    Task<List<PatientObservation>> GenerateObservationByField(Patient patient, List<Field> dataFields);
    Task<GroupedObservation> GenerateGroupedObservation(Patient patient, GroupedField groupedField);
    Task<List<PatientObservationAlarm>> GenerateAlarmByField(Patient patient, List<Field> dataAlarmfields);
}